LDPD(8)

NAME
ldpd - Label Distribution Protocol daemon

SYNOPSIS
ldpd [-dnv] [-D macro=value] [-f file]

DESCRIPTION
ldpd is the Label Distribution Protocol (LDP) daemon, which distributes MPLS label mappings between routers.

A running ldpd can be controlled with the ldpctl(8) utility.

The options are as follows:

-D macro=value
    Define macro to be set to value on the command line. Overrides the definition of macro in the configuration file.

-d  Do not daemonize. If this option is specified, ldpd will run in the foreground and log to stderr.

-f file
    Specify an alternative configuration file.

-n  Configtest mode. Only check the configuration file for validity.

-v  Produce more verbose output.

FILES
/etc/ldpd.conf
    Default ldpd configuration file.
/var/run/ldpd.sock
    UNIX-domain socket used for communication with ldpctl(8).

SEE ALSO
mpe(4), ldpd.conf(5), ldpctl(8), rc.conf(8)

STANDARDS
E. Rosen, A. Viswanathan, R. Callon, January 2001, RFC 3031, Multiprotocol Label Switching Architecture.

S. Bryant, G. Swallow, L. Martini, D. McPherson, February 2006, RFC 4385, Pseudowire Emulation Edge-to-Edge (PWE3) Control Word for Use over an MPLS PSN.

L. Martini, E. Rosen, N. El-Aawar, T. Smith, G. Heron, April 2006, RFC 4447, Pseudowire Setup and Maintenance Using the Label Distribution Protocol (LDP).

M. Lasserre, V. Kompella, January 2007, RFC 4762, Virtual Private LAN Service (VPLS) Using Label Distribution Protocol (LDP) Signaling.

L. Andersson, I. Minei, B. Thomas, October 2007, RFC 5036, LDP Specification.

C. Pignataro, R. Asati, August 2012, RFC 6720, The Generalized TTL Security Mechanism (GTSM) for the Label Distribution Protocol (LDP).

R. Asati, C. Pignataro, K. Raza, V. Manral, R. Papneja, June 2015, RFC 7552, Updates to LDP for IPv6.

HISTORY
The ldpd program first appeared in OpenBSD 4.6.